/**
 * 录音文件查询
 */
$(function(){

    AppCallRecord = {
        Events : {'click .btn': function (e, value, row, index) {
			var event = $(e.target).data('event');
			if(event == 'download'){
                AppCallRecord.download(row);
			}else if(event == 'thaw'){
                AppCallRecord.thaw(row);
			}
		}},
        download : function(row){
            var recordUrl = row['recordUrl'];
            if(!recordUrl) {
                App.MsgBox.msg("文件URL为空");
                return;
            }
            window.open(recordUrl);
		},
        thaw: function(row){
            App.MsgBox.confirm('确定要解冻吗', function(){
                var recordUrl = row['recordUrl'];
                if(!recordUrl) {
                    App.MsgBox.msg("文件URL为空");
                    return;
                }
                App.Ajax.request({
                    url		: Config.ROOT + '/call/call_record/thaw',
                    params	: {
                        'recordUrl': recordUrl
                    },
                    success: function(resp){

                    }
                });
            });
		},
        search: function () {
            $table.search({
                'page'	: 1
            });
        }
	};
	
	
	//初始化表格
    var $table = new App.Table({
        url: Config.ROOT + '/call/call_record/list',
        search: false,
        searchParamName: '',
        searchPlaceholder: '',
        columns	:[
            {field:'id', title:'操作', width: 120, toolbar: 'tableRowToolbar', events: AppCallRecord.Events},
            {field:'', title:'通话记录ID', formatter: function (value, row, index) {
                    return row['id'];
                }},
            {field:'relationId', title:'订单', formatter: function (value, row, index) {
                    return row['orderId'] + '_' + value;
                }},
            {field:'recordUrl', title:'音频'}
        ],
        getQueryParam: function () {
            var search_orderId = $('#search_orderId').val() || '';
            var search_relationId = $('#search_relationId').val() || '';
            var search_callRecordId = $('#search_callRecordId').val() || '';
            var postData = {
                'orderId'	: search_orderId,
                'relationId'	: search_relationId,
                'id' : search_callRecordId
            };
            return postData;
        }
    });

});